Package org.eclipse.ecf.discovery

## Interface IServiceEvent

All Superinterfaces:
  `Event`, `IContainerEvent`

All Known Implementing Classes:
  `ServiceContainerEvent`

    public interface IServiceEvent
    extends IContainerEvent

Service discovery event that provides access to IServiceInfo instance

### Method Summary

All Methods Instance Methods Abstract Methods
`IServiceInfo` `getServiceInfo()` Get the service info associated with this event

### Methods inherited from interface org.eclipse.ecf.core.events.IContainerEvent

`getLocalContainerID`

### Method Detail

#### getServiceInfo

    IServiceInfo getServiceInfo()

Get the service info associated with this event

Returns:
  IServiceInfo any info associated with this event. May be `null`.